/*
 * @(#)file      SnmpTargetData.java
 * @(#)author    Sun Microsystems, Inc.
 * @(#)version   1.6
 * @(#)date      04/07/05
 *
 * Copyright 2000-2004 Sun Microsystems, Inc.  All rights reserved.
 * This software is the proprietary information of Sun Microsystems, Inc.
 * Use is subject to license terms.
 * 
 * Copyright 2000-2004 Sun Microsystems, Inc.  Tous droits r?serv?s.
 * Ce logiciel est propriet? de Sun Microsystems, Inc.
 * Distribu? par des licences qui en restreignent l'utilisation. 
 *
 */
package com.sun.management.snmp.rfc2573.manager.internal.target;

public class SnmpTargetData implements Cloneable {

    public String targetName = null;
    public String domain = null;
    public String address = null;
    public int timeout = -1;
    public int retry = -1;
    public String tags = null;
    public String params = null;
    public int storageType = -1;

    public Object clone() throws CloneNotSupportedException {
	return super.clone();
    }
    
    public String toString() {
	return targetName +"," + domain + "," + address +"," + timeout + "," + retry + "," + tags;
    }
}
