package com.sun.management.snmp.rfc2573.notification.mib;

// java imports
//
import java.io.Serializable;

// jmx imports
//
import javax.management.MBeanServer;
import com.sun.management.snmp.SnmpString;
import com.sun.management.snmp.SnmpStatusException;

// jdmk imports
//
import com.sun.management.snmp.agent.SnmpMib;

//Contrib imports
import com.sun.management.snmp.rfc2573.notification.SnmpNotificationLcd;


public class SnmpNotifyObjectsImpl extends SnmpNotifyObjects {

  
    public SnmpNotifyObjectsImpl(SnmpMib myMib, 
				 SnmpNotificationLcd lcd) {
	super(myMib);
        SnmpNotifyTable = new TableSnmpNotifyTableImpl(myMib, lcd);
    }
    

    public SnmpNotifyObjectsImpl(SnmpMib myMib, 
				 MBeanServer server, 
				 SnmpNotificationLcd lcd) {
	super(myMib, server);
        SnmpNotifyTable = new TableSnmpNotifyTableImpl(myMib, server, lcd);
    }

}
